
Redmine - Defect #15235

Wiki Pages REST API with version returns wrong comments

2013-10-31 18:13 - Yukinari TOYOTA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 2.3.4   

Resolution: Fixed Affected version: 2.3.3

Description

When I requested an old version wiki-page using REST API with version, Redmine respond contents with wrong comments.

see below:

1. http://www.redmine.org/projects/redmine/wiki/Logo/24.json

2. http://www.redmine.org/projects/redmine/wiki/Logo/24

24.json should have "comments": "Adds license details" but it returns "Spam squashing"

I attached a patch for app/views/wiki/show.api.rsb with additional tests.

Associated revisions

Revision 12245 - 2013-11-09 08:42 - Jean-Philippe Lang

Wiki Pages REST API with version returns wrong comments (#15235).

Patch by Yukinari TOYOTA.

Revision 12259 - 2013-11-10 10:49 - Jean-Philippe Lang

Merged r12245 (#15235).

History

#1 - 2013-10-31 18:33 - Etienne Massip

- Target version set to 2.3.4

#2 - 2013-11-09 12:20 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fix committed, thanks for pointing this out.

#3 - 2013-11-10 10:52 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

Files

0001-fix-wiki-pages-rest-api-returns-wrong-comments.patch 1.39 KB 2013-10-31 Yukinari TOYOTA
